Module wxmpl :: Class PointEvent

[frames] | no frames]

# Class PointEvent

source code

    wx.PyCommandEvent --+
                        |
                       PointEvent

wxPython event emitted when a left-click-release occurs in a matplotlib axes of a window without an area selection.

Instance Methods

__init__(self, id, axes, x, y) Create a new `PointEvent` for the matplotlib coordinates `(x, y)` of an `axes`. | source code

Clone(self) | source code

Class Variables
| axes matplotlib `Axes` which was left-clicked
| x matplotlib X coordinate
| xdata axes X coordinate
| y matplotlib Y coordinate
| ydata axes Y coordinate